searchData={"items":[{"type":"module","title":"H3Geo","doc":"H3Geo implements the H3 geospatial indexing system.\n\nIt's a wrapper around the h3o Rust library, using `Rustler` to expose\nfunctions from the library in a manner that can be easily called from Elixir.\n\nCurrently only a handful of functions are implemented, mostly to do with\nconverting existing geometries into H3 cell indexes.","ref":"H3Geo.html"},{"type":"function","title":"H3Geo.compact/1","doc":"Takes a list of indexes and returns the compact indexes.\n\nThe incoming list is filtered for unique values automatically.\n\n[Rust documentation](https://docs.rs/h3o/latest/h3o/struct.CellIndex.html#method.compact)","ref":"H3Geo.html#compact/1"},{"type":"function","title":"H3Geo.multipolygon_to_cells/2","doc":"Takes `Geo.MultiPolygon` and an integer precision and returns a list of\nintegers representing the H3 cells that intersect with the multipolygon.\n\nUses the\n[Covers](https://docs.rs/h3o/latest/h3o/geom/enum.ContainmentMode.html#variant.Covers)\ncontainment mode, so the cells returned fully cover the multipolygon.\n\n[Rust documentation](https://docs.rs/h3o/latest/h3o/geom/trait.ToCells.html)","ref":"H3Geo.html#multipolygon_to_cells/2"},{"type":"function","title":"H3Geo.point_to_cell/2","doc":"Takes a `Geo.Point` and an integer precision and returns an integer\nrepresenting the H3 Cell.\n\n[Rust documentation](https://docs.rs/h3o/latest/h3o/struct.LatLng.html#method.to_cell).","ref":"H3Geo.html#point_to_cell/2"},{"type":"function","title":"H3Geo.polygon_to_cells/2","doc":"Takes `Geo.Polygon` and an integer precision and returns a list of integers\nrepresenting the H3 cells that intersect with the polygon.\n\nUses the\n[Covers](https://docs.rs/h3o/latest/h3o/geom/enum.ContainmentMode.html#variant.Covers)\ncontainment mode, so the cells returned fully cover the polygon.\n\n[Rust documentation](https://docs.rs/h3o/latest/h3o/geom/trait.ToCells.html)","ref":"H3Geo.html#polygon_to_cells/2"},{"type":"function","title":"H3Geo.uncompact/2","doc":"Takes a list of indexes and returns the uncompacted indexes at the desired precision.\n\n[Rust documentation](https://docs.rs/h3o/latest/h3o/struct.CellIndex.html#method.uncompact)","ref":"H3Geo.html#uncompact/2"},{"type":"type","title":"H3Geo.index/0","doc":"","ref":"H3Geo.html#t:index/0"},{"type":"type","title":"H3Geo.precision/0","doc":"","ref":"H3Geo.html#t:precision/0"},{"type":"task","title":"mix benchmark","doc":"","ref":"Mix.Tasks.Benchmark.html"},{"type":"function","title":"Mix.Tasks.Benchmark.run/1","doc":"","ref":"Mix.Tasks.Benchmark.html#run/1"},{"type":"extras","title":"H3Geo","doc":"# H3Geo\n\n[![Hex pm](http://img.shields.io/hexpm/v/h3geo.svg?style=flat)](https://hex.pm/packages/h3geo)\n[![HexDocs](https://img.shields.io/badge/HexDocs-Yes-blue)](https://hexdocs.pm/h3geo)\n\nImplements H3, the hexagonal hierarchical geospatial indexing system, in Elixir. Behind the scenes it uses h3o, a Rust implementation of H3.\n\nThis library is in early stages of development and currently only exposes a handful of functions from h3o for converting different geometries to cells.","ref":"readme.html"},{"type":"extras","title":"Installation - H3Geo","doc":"```elixir\ndef deps do\n  [\n    {:h3geo, \"~> 0.1.0\"}\n  ]\nend\n```\n\nThe NIF is provided as a precompiled bundle, so you won't need to install Rust to use it.","ref":"readme.html#installation"},{"type":"extras","title":"Example - H3Geo","doc":"```elixir\npoint = %Geo.Point{coordinates: {-0.14234062595533195, 51.50107677017966}}\nprecision = 6\n{:ok, cell} = H3Geo.point_to_cell(point, precision)\nInteger.to_string(cell, 16)\n# \"86194AD17FFFFFF\"\n```","ref":"readme.html#example"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"0.1.0 - CHANGELOG","doc":"- Initial release","ref":"changelog.html#0-1-0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}